<div class="contentRightB">
    <div class="contentFull left filler-bottom-end-p">
        <div class="content-holder">
            <h3>{{'Political.Elections.TitleResults' | translate }}</h3>
            <div nz-row nzGutter="16">
                <div nz-col nzSpan="8">
                    <nz-select style="width: 100%;" [(ngModel)]="selectedElection" nzAllowClear nzShowSearch
                        nzPlaceHolder="Choose Election" (ngModelChange)="electionSelected($event)"
                        [nzLoading]="isLoading[0]">
                        <nz-option nzCustomContent nzLabel="{{election.name}}" nzValue="{{election.id}}" *ngFor="let election of elections">
                                <img src="{{hostUrl}}/assets/img/ico/ev/{{election.icon}}.png"> {{election.name}}
                        </nz-option>
                    </nz-select>
                </div>
                <div nz-col nzSpan="8" *ngIf="selectedElection > 0">
                        <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select country" nzShowSearch [nzLoading]="isLoading[0]"
                        [nzCustomTemplate]="custom" [(ngModel)]="selectedCountryId" (ngModelChange)="countrySelected($event)">
                        <nz-option *ngFor="let item of countries" nzCustomContent nzLabel="{{item.name}}" nzValue="{{item.id}}">
                          <img src="{{hostUrl}}/{{item.flagLocation[0]}}" /> {{item.name}} </nz-option>
                      </nz-select>
                      <ng-template #custom>
                        <span><img src="{{hostUrl}}/{{selectedCountry.flagLocation[0]}}" /> {{selectedCountry.name}} </span>
                      </ng-template>
                </div>
                <div nz-col nzSpan="8" *ngIf="selectedCountryId > 0">
                    <nz-select style="width: 100%;" [(ngModel)]="selectedDate" nzAllowClear nzShowSearch
                        nzPlaceHolder="Choose Date" (ngModelChange)="dateSelected($event)" [nzLoading]="isLoading[0]">
                        <nz-option nzLabel="{{date}}" nzValue="{{date}}" *ngFor="let date of electionDates">
                        </nz-option>
                    </nz-select>
                </div>
            </div>

            <div *ngIf="DateSelected">
                <nz-spin [nzSpinning]="isLoading[0]">
                    <div *ngIf='selectedElection == 1'>
                        <h4>{{'Political.Elections.PresidentialCandidates' | translate }}</h4>
                        <table class="allEnt2 tableColor smaller">
                            <thead>
                                <tr>
                                    <th></th>
                                    <th>{{'Political.Elections.ButtonCandidate' | translate }}</th>
                                    <th>{{'Miscellaneous.Citizen.Party' | translate }}</th>
                                    <th>XP</th>
                                    <th>{{'Social.Article.NVotes' | translate }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let candidate of candidates">
                                    <td>
                                        <a href="{{hostUrl}}/citizen/{{candidate.candidate.entityId}}" target="_blank">
                                            <img src="{{hostUrl}}/{{candidate.candidate.avatarLocation}}">
                                        </a>
                                    </td>
                                    <td>
                                        <a target="_blank"
                                            href='{{hostUrl}}/citizen/{{candidate.candidate.entityId}}'>{{candidate.candidate.name}}</a>
                                    </td>
                                    <td>
                                        <a target="_blank" href='{{hostUrl}}/party/{{candidate.party.entityId}}'>{{candidate.party.name}}</a>
                                    </td>
                                    <td>{{candidate.experience}}</td>
                                    <td>{{candidate.votes}}</td>
                                </tr>
                                <tr *ngIf="candidates.length === 0">
                                    <td colSpan="5"><nz-alert nzType="info" nzMessage="No candidates!" nzShowIcon></nz-alert></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div *ngIf='selectedElection == 2'>
                        <h4>{{'Political.Elections.CongressCandidates' | translate }}</h4>
                        <table class="allEnt2 tableColor smaller">
                            <thead>
                                <tr>
                                    <th></th>
                                    <th>{{'Political.Elections.ButtonCandidate' | translate }}</th>
                                    <th>{{'Miscellaneous.Citizen.Party' | translate }}</th>
                                    <th>XP</th>
                                    <th>{{'Social.Article.NVotes' | translate }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let candidate of candidates">
                                    <td>
                                        <a target="_blank" href="{{hostUrl}}/citizen/{{candidate.candidate.entityId}}">
                                            <img src="{{hostUrl}}/{{candidate.candidate.avatarLocation}}">
                                        </a>
                                    </td>
                                    <td>
                                        <a target="_blank"
                                            href='{{hostUrl}}/citizen/{{candidate.candidate.entityId}}'>{{candidate.candidate.name}}</a>
                                    </td>
                                    <td>
                                        <a target="_blank" href='{{hostUrl}}/party/{{candidate.party.entityId}}'>{{candidate.party.name}}</a>
                                    </td>
                                    <td>{{candidate.experience}}</td>
                                    <td>{{candidate.votes}}</td>
                                </tr>
                                <tr *ngIf="candidates.length === 0">
                                        <td colSpan="5"><nz-alert nzType="info" nzMessage="No candidates!" nzShowIcon></nz-alert></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div *ngIf='selectedElection == 3'>
                        <h4>{{'Political.Elections.PartyCandidates' | translate }}</h4>
                        <table class="allEnt2 tableColor smaller">
                            <thead>
                                <tr>
                                    <th></th>
                                    <th>{{'Political.Elections.ButtonCandidate' | translate }}</th>
                                    <th>{{'Miscellaneous.Citizen.Party' | translate }}</th>
                                    <th>XP</th>
                                    <th>{{'Social.Article.NVotes' | translate }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let candidate of candidates">
                                    <td>
                                        <a href="{{hostUrl}}/citizen/{{candidate.candidate.entityId}}" target="_blank">
                                            <img src=".{{hostUrl}}/{{candidate.candidate.avatarLocation}}">
                                        </a>
                                    </td>
                                    <td>
                                        <a target="_blank"
                                            href='{{hostUrl}}/citizen/{{candidate.candidate.entityId}}'>{{candidate.candidate.name}}</a>
                                    </td>
                                    <td>
                                        <a target="_blank" href='{{hostUrl}}/party/{{candidate.party.entityId}}'>{{candidate.party.name}}</a>
                                    </td>
                                    <td>{{candidate.experience}}</td>
                                    <td>{{candidate.votes}}</td>
                                </tr>
                                <tr *ngIf="candidates.length === 0">
                                        <td colSpan="5"><nz-alert nzType="info" nzMessage="No candidates!" nzShowIcon></nz-alert></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </nz-spin>
            </div>
        </div>
    </div>
</div>
<div class="clear"></div>